package calls

import (
	"log"
	"net/http"
	"path/filepath"

	b "streifling.com/jason/cpolis/cmd/backend"
)

func ServeAtomFeed(c *b.Config) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		if !tokenIsVerified(w, r, c) {
			return
		}

		absFilepath, err := filepath.Abs(c.AtomFile)
		if err != nil {
			log.Println(err)
			http.Error(w, err.Error(), http.StatusInternalServerError)
			return
		}

		http.ServeFile(w, r, absFilepath)
	}
}
